PukiWiki用シンタックスハイライトPrismプラグイン

  • 2022.09.01
PukiWiki用シンタックスハイライトPrismプラグイン
Pocket

¥1,000 (税別)

シンタックスハイライトPrismプラグイン Ver1.0.0
オンラインサロンPukiWiki開発基本会員以上の場合は、いつでも最新版がダウンロード可能です。

 

説明

  • 正式公開版です(PukiWiki1.5.3 UTF-8版で動作確認済)
  • 本プラグインはPrism.jsを利用した高速・高機能・多言語対応のシンタックスハイライト表示プラグインです
  • 本プラグインを利用することで、各種プログラムのソースコードや、コマンドライン内容をシンタックスハイライト表示することが可能です
  • 本プラグインの導入には、次のモジュールの導入が前提となります
  • PukiWikiダジャレンジャー版共通ファイル(最新版)のアーカイブで収録しているPrism.jsVer1.29.0で、全297言語を収録し、テーマは「COY」を採用しています(利用者がPrism.js公式サイト(英語)から任意の言語とテーマを選択・ダウンロードし、本プラグインで利用することも可能です)
  • 本プラグインで採用しているPrism.jsプラグインに関しては、PukiWiki改造普及活用計画の「Prism.js サポート言語一覧」ページにある「Prism プラグイン一覧」の推奨欄を参照して下さい
  • 設置に関しては自サイトの記事「高速・高機能・多言語対応シンタックスハイライトPrismプラグインを設置する!(仮称)」を参照して下さい(執筆予定
  • 動作サンプルと変更履歴はPukiWiki改造普及活用計画の「シンタックスハイライトPrismプラグイン」ページを参照して下さい
  • 本アーカイブのライセンスはGPL version 2で、ライセンスが定める諸条件の範囲において個人・法人内部で自由に利用・改変が可能ですが、著作権者不利益に該当するあらゆる行為はライセンスに関係なく禁止とします

PukiWiki用シンタックスハイライトPrismプラグイン

  • 楽天ペイ、銀行・コンビニ決済を利用したい場合は、BOOTHからの購入が便利です

こちらもおすすめ…

Pocket